﻿@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using System.Web.UI.WebControls;
@using Portal.Models.AnnualPlan;

@model Toyota.Common.Web.MVC.ModelHolder
           
<table cellpadding="0" cellspacing="0">
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "AP Year";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                textBox =>
                {
                    textBox.Name = "APIDDHAPYearText";
                    textBox.Style.Add("padding-left", "5px");
                    textBox.Style.Add("padding-top", "2px");
                    textBox.Enabled = false;
                    textBox.ControlStyle.ForeColor = System.Drawing.Color.Black;
                    textBox.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                    textBox.Width = Unit.Pixel(110);
                    textBox.Height = Unit.Pixel(20);
                }).GetHtml()
        </td>
        <td style="width:20px"></td> @* column spacing *@
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Version";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                textBox =>
                {
                    textBox.Name = "APIDDHVersionText";
                    textBox.Style.Add("padding-left", "5px");
                    textBox.Style.Add("padding-top", "2px");
                    textBox.Enabled = false;
                    textBox.ControlStyle.ForeColor = System.Drawing.Color.Black;
                    textBox.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                    textBox.Width = Unit.Pixel(110);
                    textBox.Height = Unit.Pixel(20);
                }).GetHtml()
        </td>
    </tr>
    <tr style="height:5px"></tr> @* row spacing *@
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Supplier";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                textBox =>
                {
                    textBox.Name = "APIDDHSupplierText";
                    textBox.Style.Add("padding-left", "5px");
                    textBox.Style.Add("padding-top", "2px");
                    textBox.Enabled = false;
                    textBox.ControlStyle.ForeColor = System.Drawing.Color.Black;
                    textBox.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                    textBox.Width = Unit.Pixel(110);
                    textBox.Height = Unit.Pixel(20);
                }).GetHtml()
        </td>
    </tr>
</table>
<div style="height: 15px;"></div> @* div spacing *@
<table cellpadding="0" cellspacing="0">
    <tr>
        <td align="left">
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "APIDDHSearchButton";
                    button.Text = "Search";
                    button.Width = Unit.Pixel(80);
                    button.UseSubmitBehavior = true;
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "OnAPIDDHSearchButtonClick";
                }).GetHtml()
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "APIDDHCancelButton";
                    button.Text = "Cancel";
                    button.Width = Unit.Pixel(80);
                    button.UseSubmitBehavior = true;
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "OnAPIDDHCancelButtonClick";
                }).GetHtml()
        </td>
    </tr>
</table>
